PUT /api/v202603/webCaptureCredential/{webCaptureCredentialId}/status

Update the status of a WebCAPture Credential

UpdateWebCaptureCredentialStatusV202603 Permissions: Accounts (Edit)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
webCaptureCredentialId The WebCAPture Credential identifier integer (int32) Required

Request Body

WebCaptureCredentialStatusRequestV202603
Property Description Type
status Max length of 32 Required (defined) string
statusDetail Max length of 128 Required (defined) string
Example Request Body application/json
{  "status": "string",  "statusDetail": "string"
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

WebCaptureCredentialResponseV202603
Property Description Type
billCaptureClientCode Required (defined) string
isActive Required (defined) boolean
providerName Required (defined) string
status Required (defined) string
statusDetail Required (defined) string
totalAccounts Required (defined) integer (int32)
username Required (defined) string
webCaptureCredentialId Required (defined) integer (int32)
webCapturePartner WebCapturePartnerResponseV202603
WebCapturePartnerResponseV202603 properties
Property Description Type
webCapturePartnerCode string
webCapturePartnerId integer (int32)
webCapturePartnerInfo string
website Required (defined) string
Example Response application/json
{  "billCaptureClientCode": "string",  "isActive": false,  "providerName": "string",  "status": "string",  "statusDetail": "string",  "totalAccounts": 1,  "username": "string",  "webCaptureCredentialId": 1,  "webCapturePartner": {    "webCapturePartnerCode": "string",    "webCapturePartnerId": 1,    "webCapturePartnerInfo": "string"
  },  "website": "string"
}